SplObserver
SplSubject
SplObserver
PHP Manual

# SplObserver::update

(PHP 5 >= 5.1.0)

SplObserver::update — Receive update from subject

### Description

abstract public void SplObserver::update ( SplSubject `$subject` )

This method is called when any SplSubject to which the observer is attached calls SplSubject::notify.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`subject`

  The SplSubject notifying the observer of an update.

### Return Values

No value is returned.

SplObserver
SplSubject
SplObserver
PHP Manual